%global _empty_manifest_terminate_build 0
Name:		python-lesscpy
Version:	0.15.1
Release:	1
Summary:	Python LESS compiler
License:	MIT
URL:		https://github.com/lesscpy/lesscpy
Source0:	https://files.pythonhosted.org/packages/9f/e4/a0aad58ca8e755a8192c975163847a1b712a7a6130b087248be24c07a316/lesscpy-0.15.1.tar.gz
BuildArch:	noarch

Requires:       python3-ply
Requires:       python3-six

%description
Python LESS Compiler.
A compiler written in Python for the LESS language. For those of us not willing
or able to have node.js installed in our environment. Not all features of LESS
are supported (yet). Some features wil probably never be supported (JavaScript
evaluation). This program uses PLY (Python Lex-Yacc) to tokenize / parse the
input and is considerably slower than the NodeJS compiler. The plan is to
utilize this to build in proper syntax checking and perhaps YUI compressing.
This is an early version, so you are likely to find bugs.
For more information on LESS:
  http://lesscss.org/ or https://github.com/cloudhead/less.js
Development files:
  https://github.com/lesscpy/lesscpy

%package -n python3-lesscpy
Summary:	Python LESS compiler
Provides:	python-lesscpy = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-lesscpy
Python LESS Compiler.
A compiler written in Python for the LESS language. For those of us not willing
or able to have node.js installed in our environment. Not all features of LESS
are supported (yet). Some features wil probably never be supported (JavaScript
evaluation). This program uses PLY (Python Lex-Yacc) to tokenize / parse the
input and is considerably slower than the NodeJS compiler. The plan is to
utilize this to build in proper syntax checking and perhaps YUI compressing.
This is an early version, so you are likely to find bugs.
For more information on LESS:
  http://lesscss.org/ or https://github.com/cloudhead/less.js
Development files:
  https://github.com/lesscpy/lesscpy

%package help
Summary:	Development documents and examples for lesscpy
Provides:	python3-lesscpy-doc
%description help
Python LESS Compiler.
A compiler written in Python for the LESS language. For those of us not willing
or able to have node.js installed in our environment. Not all features of LESS
are supported (yet). Some features wil probably never be supported (JavaScript
evaluation). This program uses PLY (Python Lex-Yacc) to tokenize / parse the
input and is considerably slower than the NodeJS compiler. The plan is to
utilize this to build in proper syntax checking and perhaps YUI compressing.
This is an early version, so you are likely to find bugs.
For more information on LESS:
  http://lesscss.org/ or https://github.com/cloudhead/less.js
Development files:
  https://github.com/lesscpy/lesscpy

%prep
%autosetup -n lesscpy-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-lesscpy -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Dec 16 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 0.15.1-1
- Update package to version 0.15.1

* Tue Aug 09 2022 liukuo <liukuo@kylinos.cn> - 0.15.0-1
- Update version to 0.15.0

* Fri Jul 09 2021 Python_Bot <Python_Bot@openeuler.org> - 0.14.0-1
- Package Spec generated
